package com.divillysausages.sprint.constants 
{
	/**
	 * Different game constants for styling stuff in the game
	 * @author Damian
	 */
	public class Style
	{
		
		/** The size of the text for the "Loading..." TextField in StateCheck */
		public static const LOADING_SIZE:Number = 10.0;
		
		/** The colour for the "Loading..." text in StateCheck */
		public static const LOADING_COLOUR:uint = 0xffffff;
		
		/** The size of the title text for the text in StateHacked */
		public static const HACKED_TITLE_SIZE:Number = 50.0;
		
		/** The size of the text for the text in StateHacked */
		public static const HACKED_SIZE:Number = 15.0;
		
		/** The colour for the text in StateHacked */
		public static const HACKED_COLOUR:uint = 0xffffff;
		
		/** The colour for the link text in StateHacked */
		public static const HACKED_LINK_COLOUR:String = "#4bcf31";
		
		/** The size of the text for the different buttons in the game */
		public static const BUTTON_SIZE:Number = 10.0;
		
		/** The colour for the text for the different buttons in the game */
		public static const BUTTON_COLOUR:uint = 0x000000;
		
		/** The size of the link text in StateDS */
		public static const DS_SIZE:Number = 15.0;
		
		/** The colour for the link text in StateDS */
		public static const DS_COLOUR:uint = 0xffffff;
		
		/** The size of the finishing position text */;
		public static const FINISHING_POS_SIZE:Number = 20.0;
		
		/** The size for the game timer text */
		public static const GAME_TIMER_SIZE:Number = 32.0;
		
		/** The colour for the game timer text */
		public static const GAME_TIME_COLOUR:uint = 0xfff2e307;
		
		/** The size for the runner time */
		public static const RUNNER_TIME_SIZE:Number = 15.0;
		
		/** The colour for the runner time */
		public static const RUNNER_TIME_COLOUR:uint = 0xffffff;
		
		/** The size for the countdown text */
		public static const COUNTDOWN_SIZE:Number = 30.0;
		
		/** The colour for the countdown text */
		public static const COUNTDOWN_COLOUR_NORMAL:uint = 0xff0000;
		
		/** The colour for the countdown text in the go state */
		public static const COUNTDOWN_COLOUR_GO:uint = 0x00ff00;
		
		/** The size for our instructions */
		public static const INSTRUCTIONS_SIZE:Number = 12.0;
		
		/** the colour for our instructions */
		public static const INSTRUCTIONS_COLOUR:uint = 0xffffff;
		
		/** The size for our game instructions */
		public static const GAME_INSTRUCTIONS_SIZE:Number = 20.0;
		
		/** The colour for our game instructions */
		public static const GAME_INSTRUCTIONS_COLOUR:uint = 0x0000ff;
		
	}

}