package com.divillysausages.sprint.gui
{	
	import com.divillysausages.ds.DS;
	import com.divillysausages.sprint.assets.Resources;
	import flash.display.Bitmap;
	
	public class FalseStart extends Bitmap
	{
		
		/*******************************************************************************************/
		
		/**
		 * Creates a new FalseStart class
		 */
		public function FalseStart()
		{
			this.bitmapData = DS.getAsset( Resources.FALSE_START_IMAGE ).bitmapData;
			this.alpha		= 0.8;
		}
		
		/**
		 * Destroys the FalseStart and clears it for garbage collection
		 */
		public function destroy():void
		{			
			// remove graphics
			if ( this.parent != null )
				this.parent.removeChild( this );
		}
		
		/**
		 * Resets the FalseStart so it can be reused
		 */
		public function reset():void
		{
			this.visible = false;
		}
		
		/**
		 * Shows the FalseStart
		 */
		public function show():void
		{
			this.visible = true;
		}
		
	}

}