package com.divillysausages.sprint.gui
{
	import com.divillysausages.ds.DS;
	import com.divillysausages.sprint.assets.Resources;
	import com.divillysausages.sprint.constants.Style;
	import flash.display.Bitmap;
	import flash.geom.Point;
	import flash.text.TextField;
	import flash.text.TextFieldAutoSize;
	import flash.text.TextFormat;
	
	public class FinishingPosition extends Bitmap
	{
		
		/*******************************************************************************************/
		
		private var m_pos:int = 0;
		
		/*******************************************************************************************/
		
		/**
		 * The actual finishing position, starting at 1
		 */
		public function get pos():int { return this.m_pos; }
		public function set pos( i:int ):void
		{
			this.m_pos = ( i < 1 ) ? 4 : ( i > 4 ) ? 4 : i;
			if ( this.m_pos == 1 )
				this.bitmapData = DS.getAsset( Resources.FIRST_IMAGE ).bitmapData;
			else if ( this.m_pos == 2 )
				this.bitmapData = DS.getAsset( Resources.SECOND_IMAGE ).bitmapData;
			else if ( this.m_pos == 3 )
				this.bitmapData = DS.getAsset( Resources.THIRD_IMAGE ).bitmapData;
			else
				this.bitmapData = null;
		}
		
		/*******************************************************************************************/
		
		/**
		 * Destroys the FinishingPosition and clears it for garbage collection
		 */
		public function destroy():void
		{
			// graphics
			if ( this.parent != null )
				this.parent.removeChild( this );
		}
		
	}

}