package com.divillysausages.sprint.gui 
{
	import com.divillysausages.ds.DS;
	import com.divillysausages.sprint.logic.Runner;
	import flash.net.navigateToURL;
	import flash.net.URLRequest;
	/**
	 * ...
	 * @author Damian Connolly
	 */
	public class PostToTwitterButton extends GameButton
	{
		
		/*******************************************************************************************/
		
		private var m_text:String = null;
		
		/*******************************************************************************************/
		
		public function PostToTwitterButton() 
		{
			super( "Post to Twitter", this._onClick );
			this.active = true;
		}
		
		public function setText( time:String, isPB:Boolean, isWR:Boolean ):void
		{
			if ( isPB && isWR )
				this.m_text = "Just got a P.B. *AND* W.R. time of " + time;
			else if ( isPB )
				this.m_text = "Just got a P.B time of " + time;
			else if ( isWR )
				this.m_text = "Just got a W.R time of " + time;
			else
				this.m_text = "Just got a time of " + time;
			this.m_text += "s in #10SecondSprint! #LD48";
		}
		
		/*******************************************************************************************/
		
		// post to twitter
		private function _onClick():void
		{
			// get our player
			var url:String = encodeURI( "http://bit.ly/12Ckq4l" );
			
			var msg:String = escape( this.m_text  );
			var request:URLRequest = new URLRequest( "https://twitter.com/home?status=" + msg + " " + url );
			navigateToURL( request, "_blank" );
		}
		
	}

}