package com.divillysausages.sprint.gui
{
	import com.divillysausages.sprint.assets.Resources;
	import com.divillysausages.sprint.constants.Style;
	import flash.geom.Point;
	import flash.text.TextField;
	import flash.text.TextFieldAutoSize;
	import flash.text.TextFormat;
	
	public class RunnerTime extends TextField
	{
		
		/*******************************************************************************************/
		
		/**
		 * The time to display
		 */
		public function set time( s:String ):void
		{
			this.text = ( s == null ) ? "" : s + "s";
		}
		
		/*******************************************************************************************/
		
		/**
		 * Creates a new RunnerTime object
		 */
		public function RunnerTime()
		{
			this.defaultTextFormat 	= new TextFormat( Resources.GAME_FONT, Style.RUNNER_TIME_SIZE, Style.RUNNER_TIME_COLOUR );
			this.autoSize			= TextFieldAutoSize.LEFT;
			this.selectable			= false;
			this.mouseEnabled		= false;
			this.mouseWheelEnabled	= false;
			this.multiline			= false;
			this.embedFonts			= true;
		}
		
		/**
		 * Destroys the RunnerTime and clears it for garbage collection
		 */
		public function destroy():void
		{
			if ( this.parent != null )
				this.parent.removeChild( this );
		}
		
	}

}