package com.divillysausages.sprint.gui 
{
	import com.adobe.images.PNGEncoder;
	import com.divillysausages.ds.DS;
	import flash.display.BitmapData;
	import flash.net.FileReference;
	import flash.utils.ByteArray;
	/**
	 * ...
	 * @author Damian Connolly
	 */
	public class SaveImageButton extends GameButton 
	{
		
		/*******************************************************************************************/
		
		private var m_num:int = 0;
		
		/*******************************************************************************************/
		
		public function SaveImageButton() 
		{
			super( "Save image", this._onSaveImage );
			this.active = true;
		}
		
		/*******************************************************************************************/
		
		private function _onSaveImage():void
		{
			trace( "Saving imagE" );
			// draw our screen
			var bmd:BitmapData = new BitmapData( DS.stage.stageWidth, DS.stage.stageHeight );
			bmd.draw( DS.stage );
			
			// convert to a png and save it
			var png:ByteArray 		= PNGEncoder.encode( bmd );
			var file:FileReference 	= new FileReference;
			var date:Date 			= new Date;
			var day:String			= ( date.date < 10 ) ? "0" + date.date : "" + date.date;
			var month:String		= ( ( date.month + 1 ) < 10 ) ? "0" + ( date.month + 1 ) : "" + ( date.month + 1 );
			var name:String			= "10SS_" + day + month + date.fullYear + "_" + this.m_num + ".png";
			this.m_num++;
			try
			{
				file.save( png, name );
			}
			catch ( e:Error )
			{
				DS.error( this, "Error when trying to save image: " + e.errorID + ": " + e.name + ": " + e.message );
			}
		}
		
	}

}