package com.divillysausages.sprint.states 
{
	import com.adobe.images.PNGEncoder;
	import com.divillysausages.ds.core.GameState;
	import com.divillysausages.ds.DS;
	import com.divillysausages.ds.input.Input;
	import com.divillysausages.ds.input.Key;
	import com.divillysausages.sprint.anim.Anim;
	import com.divillysausages.sprint.anim.AnimFrameInfo;
	import com.divillysausages.sprint.anim.AnimManager;
	import com.divillysausages.sprint.anim.AnimParams;
	import com.divillysausages.sprint.anim.AnimParser;
	import com.divillysausages.sprint.constants.Anims;
	import com.divillysausages.sprint.constants.Constants;
	import com.divillysausages.sprint.gui.FalseStart;
	import com.divillysausages.sprint.gui.FinishingPosition;
	import com.divillysausages.sprint.gui.GameTimer;
	import com.divillysausages.sprint.gui.Gauge;
	import com.divillysausages.sprint.gui.Injury;
	import com.divillysausages.sprint.gui.PersonalBest;
	import com.divillysausages.sprint.gui.RunnerTime;
	import com.divillysausages.sprint.gui.StartCountdown;
	import com.divillysausages.sprint.gui.WorldRecord;
	import com.divillysausages.sprint.logic.Runner;
	import com.divillysausages.sprint.logic.Track;
	import flash.display.Bitmap;
	import flash.display.BitmapData;
	import flash.geom.Point;
	import flash.net.FileReference;
	import flash.utils.ByteArray;
	
	/**
	 * The play state that we use to run
	 * @author Damian
	 */
	public class StatePlay extends GameState
	{
		
		/*******************************************************************************************/
		
		private var m_main:Main = null;	// a reference to the main class
		
		/*******************************************************************************************/
		
		/**
		 * Creates the play state
		 * @param m		The main class
		 * @param name	The name of the state
		 */
		public function StatePlay( m:Main, name:String ) 
		{
			this.m_main = m;
			super(name);
		}
		
		/**
		 * Starts the play state
		 */
		override public function begin():void 
		{
			this.m_main.logic.init();
		}
		
		/**
		 * Ends the play state
		 */
		override public function end():void 
		{
		}
		
	}

}